package cn.ibizlab.r7.runtime.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.client.model.IUserRoleRes;
import cn.ibizlab.r7.runtime.util.SearchContext;

/**
 * 实体[UserRoleRes] 服务对象接口
 */
public interface IUserRoleResClientService{

    public IUserRoleRes createModel() ;

    public void getDraft(IUserRoleRes userroleres);

    public void checkKey(IUserRoleRes userroleres);

    public void update(IUserRoleRes userroleres);

    public void get(IUserRoleRes userroleres);

    public void create(IUserRoleRes userroleres);

    public void save(IUserRoleRes userroleres);

    public void remove(IUserRoleRes userroleres);

    public Page<IUserRoleRes> fetchDefault(SearchContext context);

}
